---
hide:
  - navigation
---

# AIORP

!!! warning "WARNING"

    This package is still in development and should be used with care

<div style="text-align: center">
  <img src="./blobs/logo.png" alt="logo" width="500"/>
</div>

AIORP is a lightweight, asynchronous reverse proxy package for Python built on top of aiohttp. It provides a simple yet powerful interface for creating reverse proxies with minimal configuration.

Key features:

- Easy to set up and configure
- Built on aiohttp for high performance
- Support for custom request/response handling
- Flexible routing capabilities
- Python 3.10+ support

Get started quickly with our [Quickstart guide](./quickstart.md), dive deeper
with the [Advanced Guide](./advanced), or explore the complete
[API Reference](./api_reference/BaseHandler.md).

## Installation

Install AIORP using pip:

```bash
pip install aiorp
```

## Creators

AIORP is maintained by [ToninoK](https://github.com/ToninoK).

If you'd like to contribute, please check out the contribution guidelines [TBD].
